<div class="card" id="processes">
  <div class="card-divider">
    <h2 class="card-title">
      <%= t("participatory_processes", scope: "decidim.admin.titles") %>

      <% if @process_group %>
        <span>&lt;</span>
        <%= link_to translated_attribute(@process_group.name),
                    edit_participatory_process_group_path(@process_group) %>
      <% end %>

      <% if allowed_to? :import, :process %>
        <%= link_to t("actions.import_process", scope: "decidim.admin"),
                    new_import_path,
                    class: "button tiny button--title" %>
      <% end %>

      <% if allowed_to? :create, :process %>
        <%= link_to t("actions.new_process", scope: "decidim.admin"),
                    ["new", "participatory_process"],
                    class: "button tiny button--title" %>
      <% end %>

      <button data-toggle="process_groups" class="dropdown button tiny button--title">
          <%= t("actions.filter.process_groups", scope: "decidim.admin") %>
      </button>
      <div id="process_groups" class="dropdown-pane" data-position="bottom" data-dropdown data-auto-focus="true">
        <ul class="list-reset">
          <%= link_to url_for(group_id: nil) do %>
            <li><%= t("actions.filter.all", scope: "decidim.admin") %></li>
          <% end %>
          <% Decidim::ParticipatoryProcessGroup.all.each do |group| %>
            <%= link_to url_for(group_id: group.id) do %>
              <li><%= translated_attribute(group.name) %></li>
            <% end %>
          <% end %>
        </ul>
      </div>
    </h2>
  </div>
  <div class="card-section">
    <div class="table-scroll">
      <table class="table-list">
        <thead>
          <tr>
            <th>
              <%= sort_link(query, :title, t("models.participatory_process.fields.title", scope: "decidim.admin")) %>
            </th>
            <th>
              <%= sort_link(query, :created_at, t("models.participatory_process.fields.created_at", scope: "decidim.admin"), default_order: :desc) %>
            </th>
            <th>
              <%= sort_link(query, :private_space, t("models.participatory_process.fields.private", scope: "decidim.admin")) %>
            </th>
            <th class="table-list__actions">
              <%= sort_link(query, :published_at, t("models.participatory_process.fields.published", scope: "decidim.admin")) %>
            </th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <% @participatory_processes.each do |process| %>
            <tr>
              <td>
                <% if process.promoted? %>
                  <span data-tooltip class="icon-state icon-highlight" aria-haspopup="true" data-disable-hover="false" title="<%= t("models.participatory_process.fields.promoted", scope: "decidim.admin") %>">
                    <%= icon "star" %>
                  </span>
                <% end %>
                <% if allowed_to? :update, :process, process: process %>
                  <%= link_to translated_attribute(process.title), edit_participatory_process_path(process) %><br>
                <% elsif allowed_to? :preview, :process, process: process %>
                  <%= link_to translated_attribute(process.title), decidim_participatory_processes.participatory_process_path(process) %><br>
                <% elsif allowed_to? :read, :moderation, process: process %>
                  <%= link_to translated_attribute(process.title), moderations_path(process) %><br>
                <% else %>
                  <%= translated_attribute(process.title) %>
                <% end %>
              </td>
              <td>
                <%= l process.created_at, format: :short %>
              </td>
              <td class="table-list__state">
                <% if process.private_space? %>
                  <strong class="text-alert"><%= t("participatory_processes.index.private", scope: "decidim.admin") %></strong>
                <% else %>
                  <strong class="text-success"><%= t("participatory_processes.index.public", scope: "decidim.admin") %></strong>
                <% end %>
              </td>
              <td class="table-list__state">
                <% if process.published? %>
                  <strong class="text-success"><%= t("participatory_processes.index.published", scope: "decidim.admin") %></strong>
                <% else %>
                  <strong class="text-alert"><%= t("participatory_processes.index.not_published", scope: "decidim.admin") %></strong>
                <% end %>
              </td>
              <td class="table-list__actions">
                <% if allowed_to? :create, :process, process: process %>
                  <%= icon_link_to "data-transfer-download", participatory_process_export_path(process), t("actions.export", scope: "decidim.admin"), method: :post, class: "action-icon--export" %>
                <% end %>

                <% if allowed_to? :create, :process, process: process %>
                  <%= icon_link_to "clipboard", new_participatory_process_copy_path(process), t("actions.duplicate", scope: "decidim.admin"), class: "action-icon--copy" %>
                <% end %>

                <% if allowed_to? :update, :process, process: process %>
                  <%= icon_link_to "pencil", edit_participatory_process_path(process), t("actions.configure", scope: "decidim.admin"), class: "action-icon--new" %>
                <% end %>

                <% if allowed_to? :preview, :process, process: process %>
                  <%= icon_link_to "eye", decidim_participatory_processes.participatory_process_path(process), t("actions.preview", scope: "decidim.admin"), class: "action-icon--preview" %>
                <% end %>
              </td>
            </tr>
          <% end %>
        </tbody>
      </table>
      <%= paginate @participatory_processes, theme: "decidim" %>
    </div>
  </div>
</div>
